Skip to main content
PUT
/
api
/
config
/
entra-auth
Updates the Microsoft Entra ID authentication configuration for the current tenant.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/config/entra-auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "active": true,
  "tid": "<string>",
  "appId": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "active": true,
  "tid": "<string>",
  "appId": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The updated Entra auth configuration.

entity
null | string
active
boolean
tid
string
appId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Configuration updated successfully.

entity
null | string
active
boolean
tid
string
appId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean